Skip to content

Stored only in your browser. Get one under Tokens.

Get one or many log entries as an error of LogEntry

GET
/logs

Get one or many log entries as an error of LogEntry
Page through your logs.

Authorizations

ApiKeyAuth
Type
API Key (header: Authorization)

Parameters

Query Parameters

start

list position to start page; either number or ID or '.' of log entry

Type
string
page

length of page

Type
string
dev

comma separated list of device prns to include

Type
string
lvl

comma separated list of log levels

Type
string
src

comma separated list of log levels

Type
string
sort

common list of items of 'tsec,tnano,device,src,lvl,time-created' you can use - on each individual item to reverse order

Type
string
cursor

true in case you want us to return a cursor ID as well.

Type
string

Responses

OK

application/json
JSON
{
  
"count": 0,
  
"entries": [
  
  
{
  
  
  
"dev": "string",
  
  
  
"id": "string",
  
  
  
"lvl": "string",
  
  
  
"msg": "string",
  
  
  
"own": "string",
  
  
  
"plat": "string",
  
  
  
"rev": "string",
  
  
  
"src": "string",
  
  
  
"time-created": "string",
  
  
  
"tnano": 0,
  
  
  
"tsec": 0
  
  
}
  
],
  
"next-cursor": "string",
  
"page": 0,
  
"start": 0
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI